SYSTEMD-NETWORKD-WAIT-ONLINE.SERVICE(8)

BEZEICHNUNG
systemd-networkd-wait-online.service, systemd-networkd-wait-online@.service, systemd-networkd-wait-online - auf den Online-Zustand des Netzwerks warten

ÜBERSICHT

systemd-networkd-wait-online.service

systemd-networkd-wait-online@.service

/lib/systemd/systemd-networkd-wait-online

BESCHREIBUNG

Systemd-networkd-wait-online ist ein einmalig ausgeführter Systemdienst (siehe systemd.service(5)), der darauf wartet, dass das Netzwerk eingerichtet wird. In der Voreinstellung werden alle Netzwerkschnittstellen berücksichtigt, die Systemd-networkd.service(8) bekannt sind und davon verwaltet werden. Maßgebend ist hierbei die vollständige Einrichtung der Verbindung oder deren Fehlschlag, beziehungsweise mindestens ein Link online ist. Hierbei bedeutet »online«, dass der Betriebsstatus gleich oder größer »degraded« ist. Die Schwelle kann mit der Option --operational-state= konfiguriert werden.

Der Dienst systemd-networkd-wait-online.service ruft systemd-networkd-wait-online ohne Optionen auf. Daher wartet er, bis alle verwalteten Schnittstellen konfiguriert oder fehlgeschlagen sind und mindestens eine online ist.

Der Dienst systemd-networkd-wait-online@.service akzeptiert einen Schnittstellennamen und ruft systemd-networkd-wait-online mit -i und dem angegebenen Schnittstellennamen auf. Daher wartet es, bis die angegebene Schnittstelle konfiguriert und online ist. Beispielsweise wartet systemd-networkd-wait-online@eth0.service darauf, dass eth0 durch systemd-networkd konfiguriert wurde und online ist.

OPTIONEN

Die folgenden Optionen werden verstanden:

-i SCHNITTSTELLE[:MIN_BETRIEBSSTATUS[:MAX_BETRIEBSSTATUS]], --interface=SCHNITTSTELLE[:MIN_BETRIEBSSTATUS[:MAX_BETRIEBSSTATUS]]
    Netzwerkschnittstelle, auf die gewartet werden soll, bevor entschieden wird, ob das System online ist. Dies ist nützlich, wenn das System mehrere konfigurierte Schnittstellen hat, aber eine bestimmte notwendig ist, um auf bestimmte Netzwerkressourcen zuzugreifen. Wird dies verwandt, werden alle anderen Schnittstellen ignoriert. Diese Option kann mehr als einmal verwandt werden, um auf mehrere Netzwerkschnittstellen zu warten. Wenn diese Option mehrfach angegeben wird, dann wartet systemd-networkd-wait-online darauf, dass alle festgelegten Schnittstellen online sind. Optional kann der minimale und maximale Betriebsstatus nach einem Doppelpunkt »:« angegeben werden. Bitte lesen Sie networkctl(1) für mögliche Betriebsstatus. Falls hier der Betriebsstatus nicht angegeben ist, dann wird der Wert aus RequiredForOnline= in der entsprechenden ».network«-Datei verwandt, falls er vorhanden ist und andernfalls »degraded«.

--ignore=SCHNITTSTELLE
    gibt Netzwerkschnittstellen an, die bei der Feststellung, dass das System online ist, ignoriert werden. In der Voreinstellung wird lediglich die Loopback-Schnittstelle ignoriert. Wenn mehrere Netzwerkschnittstellen ignoriert werden sollen, kann diese Option mehrfach angegeben werden.

-o MIN_BETRIEBSSTATUS[:MAX_BETRIEBSSTATUS], --operational-state=MIN_BETRIEBSSTATUS[:MAX_BETRIEBSSTATUS]
    Akzeptiert einen minimalen und optional einen maximalen Betriebsstatus. Bitte lesen Sie networkctl(1) für mögliche Betriebsstatus. Falls gesetzt, wird der in der Einstellung RequiredForOnline= in ».network«-Dateien festgelegte Wert außer Kraft gesetzt. Dies setzt aber nicht die in der Option --interface= festgelegten Betriebsstatus außer Kraft.

-4, --ipv4
    Wartet auf jeder Netzwerkschnittstelle darauf, dass ein IPv4-Adresse konfiguriert wird. Falls diese Option mit --any festgelegt wird, dann beendet sich systemd-networkd-wait-online erfolgreich, wenn mindestens eine Schnittstelle online wird und über eine IPv4-Adresse verfügt. Falls der benötigte minimale Betriebszustand unterhalb von »routable« ist, dann muss jeder Link (oder zumindestens ein Link mit --any) eine IPv4-linklokale oder eine routebare Adresse haben. Falls der benötigte minimale Betriebszustand »routable« ist, dann muss jeder Link eine IPv4-routebare Adresse haben.

    Falls weder --ipv4 noch --ipv6 festgelegt ist, dann wird der Wert aus RequiredFamilyForOnline= in der entsprechenden .network-Datei verwandt, falls er vorhanden ist.

-6, --ipv6
    Wartet auf jeder Netzwerkschnittstelle darauf, dass ein IPv6-Adresse konfiguriert wird. Falls diese Option mit --any festgelegt wird, dann beendet sich systemd-networkd-wait-online erfolgreich, wenn mindestens eine Schnittstelle online wird und über eine IPv6-Adresse verfügt. Falls der benötigte minimale Betriebszustand unterhalb von »routable« ist, dann muss jeder Link (oder zumindestens ein Link mit --any) eine IPv6-linklokale oder eine routebare Adresse haben. Falls der benötigte minimale Betriebszustand »routable« ist, dann muss jeder Link eine IPv6-routebare Adresse haben.

    Falls weder --ipv4 noch --ipv6 festgelegt ist, dann wird der Wert aus RequiredFamilyForOnline= in der entsprechenden .network-Datei verwandt, falls er vorhanden ist.

--any
    Selbst falls mehrere Schnittstellen in einem konfigurierten Status sind, wird sich systemd-networkd-wait-online erfolgreich beenden, wenn mindestens eine Schnittstelle online geht. Wenn diese Option mit --interface= angegeben wird, dann wartet systemd-networkd-wait-online darauf, dass eine der angegebenen Schnittstellen online geht. Diese Option ist nützlich, wenn einige Schnittstellen beim Systemstart keinen Träger haben könnten.

--timeout=SEK
    lässt den Dienst fehlschlagen, wenn das Netzwerk nicht innerhalb der hier angegebenen Zeit online ist. Wird als Wert 0 angegeben, wird die Zeitüberschreitung dadurch deaktiviert. In der Voreinstellung werden 120 Sekunden angenommen.

-q, --quiet
    Protokollnachrichten unterdrücken.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

SIEHE AUCH

systemd(1), systemd.service(5), systemd-networkd.service(8), networkctl(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).